fuzzydl

## Class Modifier

- java.lang.Object
- - fuzzydl.Modifier

- Direct Known Subclasses:
    LinearModifier, TriangularModifier

      public abstract class Modifier
      extends java.lang.Object

  Fuzzy modifier.
  Author:
    Fernando Bobillo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Modifier(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract double` | `getMembershipDegree(double x)` Gets the image in [0,1] of a real number to the modifier.
    `abstract java.lang.String` | `getName()` Gets the definition of the modifier.
    `abstract Concept` | `modify(Concept c)` Modifies a fuzzy concept
    `void` | `setName(java.lang.String name)` Gets the name of the modifier.
    `abstract void` | `solveAssertion(Individual ind, Concept con, Degree degree, KnowledgeBase kb)` Solves an assertion of the form (individual, concept, lower degree) with respect to a fuzzy KB.
    `void` | `solveComplementAssertion(Individual ind, Concept con, Degree degree, KnowledgeBase kb)` Solves an assertion of the form (individual, negated concept, lower degree) with respect to a fuzzy KB.
    `java.lang.String` | `toString()` Gets the name of the modifier.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Modifier

          public Modifier(java.lang.String name)

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

      Gets the name of the modifier.
      Parameters:
        `name` - Name of the modifier.

    - #### modify

          public abstract Concept modify(Concept c)

      Modifies a fuzzy concept
      Parameters:
        `c` - A fuzzy concept
      Returns:
        Fuzzy concept resulting from the application of the modifier to c.

    - #### getMembershipDegree

          public abstract double getMembershipDegree(double x)

      Gets the image in [0,1] of a real number to the modifier.
      Parameters:
        `x` - A real number in the range of values of the modifierfunction.
      Returns:
        Image in [0,1] of x to the explicit modifier function.

    - #### solveAssertion

          public abstract void solveAssertion(Individual ind,
                                              Concept con,
                                              Degree degree,
                                              KnowledgeBase kb)

      Solves an assertion of the form (individual, concept, lower degree) with respect to a fuzzy KB.
      Parameters:
        `ind` - An individual.
        `con` - A concept.
        `degree` - Lower bound for the degree.
        `kb` - A fuzzy KB.

    - #### solveComplementAssertion

          public void solveComplementAssertion(Individual ind,
                                               Concept con,
                                               Degree degree,
                                               KnowledgeBase kb)

      Solves an assertion of the form (individual, negated concept, lower degree) with respect to a fuzzy KB.
      Parameters:
        `ind` - An individual.
        `con` - A concept.
        `degree` - Lower bound for the degree.
        `kb` - A fuzzy KB.

    - #### toString

          public java.lang.String toString()

      Gets the name of the modifier.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Name of the modifier.

    - #### getName

          public abstract java.lang.String getName()

      Gets the definition of the modifier.
      Returns:
        Definition of the modifier.